Support returning proper JSON with most CRUD operations
Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: API   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It seems that most CRUD operations don't support returning proper json if "Accept: application/json" is added to the request headers.

The following controllers don't seem to support json for Create/Update/delete  and some don't support it for index:

architecture

config_templates

domains

environments

hostgroups

hosts

hypervisors

media

operatingsystems

ptables

smart_proxies

subnets

Related issues:

Related to Foreman - Bug #472: Destroying domains redirects to main domain Closed 11/18/2010

Associated revisions

Revision b28fdce4 - 02/21/2011 04:14 AM - Ohad Levy

Fixes #670 - Adds proper json support for most CRUD operations

History

#1 - 02/21/2011 08:11 AM - Ohad Levy

- Category set to API

- Target version set to 0.2

#2 - 02/21/2011 12:22 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset b28fdce4e775b7885feb02b4abe7f73c880b5fd8.

#3 - 02/22/2011 07:09 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
